View Issue Details

IDProjectCategoryView StatusLast Update
0016620LazarusLCLpublic2013-09-03 12:07
ReporterEric HeijnenAssigned ToJesus Reyes 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0016620: InputQuery Beep's when pressing Enter
DescriptionWhen pressing the enter key to confirm the input of a inputquery the same sound as Beep(); is called, which can be annoying when doing a lot of edits using InputQuery
TagsNo tags attached.
Fixed in Revision33328
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Sergei Gorelkin

2010-10-25 19:01

reporter   ~0042113

I believe this issue actually has a much wider scope, and is a general bug in TEdit/Win32 widgetset keypress handling:

Any modal form with TEdit component having focus, produces a beep if closed with a keypress. Applies to all modal dialogs within the IDE, too.

Janusz Tomczak

2011-11-05 12:15

reporter   ~0053815

Last edited: 2011-11-05 12:26

Works fine, but any modal form with TComboBox (e.g. style=csDropDown) component having focus, produces a beep if closed with a keypress.

Sugesstion:
if (Msg=WM_CHAR) and (WParam=VK_RETURN) and ((lWinControl is TCustomEdit) or (lWinControl is TCustomComboBox))

Jesus Reyes

2011-11-06 00:24

developer   ~0053833

done in r33359

Issue History

Date Modified Username Field Change
2010-06-02 01:38 Eric Heijnen New Issue
2010-06-02 01:38 Eric Heijnen Widgetset => Win32/Win64
2010-06-02 08:47 Paul Ishenin LazTarget => post 1.2
2010-06-02 08:47 Paul Ishenin Status new => confirmed
2010-10-25 19:01 Sergei Gorelkin Note Added: 0042113
2011-11-05 11:01 Jesus Reyes Fixed in Revision => 33328
2011-11-05 11:01 Jesus Reyes Status confirmed => resolved
2011-11-05 11:01 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2011-11-05 11:01 Jesus Reyes Resolution open => fixed
2011-11-05 11:01 Jesus Reyes Assigned To => Jesus Reyes
2011-11-05 12:15 Janusz Tomczak Note Added: 0053815
2011-11-05 12:26 Janusz Tomczak Note Edited: 0053815
2011-11-06 00:24 Jesus Reyes Note Added: 0053833
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4